%define url_ver %(echo %{version} | cut -d "." -f -2)

Name:		latexila
Version:	2.3.1
Release:	%mkrel 1
Summary:	Integrated LaTeX Environment for the GNOME desktop

Group:		Publishing
License:	GPLv3+
URL:		http://projects.gnome.org/latexila/
Source0:	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:	gettext
BuildRequires:	itstool
BuildRequires:	cmake
BuildRequires:	desktop-file-utils
BuildRequires: pkgconfig(gdk-x11-2.0)
BuildRequires: pkgconfig(gee-1.0)
BuildRequires: pkgconfig(gio-2.0) >= 2.28
BuildRequires: pkgconfig(gtk+-2.0) >= 2.16
BuildRequires: pkgconfig(gtksourceview-2.0) >= 2.10
BuildRequires: pkgconfig(gtkspell-2.0)
BuildRequires: pkgconfig(unique-1.0)
BuildRequires: pkgconfig(x11)

Requires:	hicolor-icon-theme
Requires:	gsettings-desktop-schemas
Requires:	rubber

%description
LaTeXila is an Integrated LaTeX Environment for GNOME. The main features are:
  * Configurable buttons to compile, convert and view a document in one click
  * LaTeX commands auto-completion
  * Symbol tables (Greek letters, arrows, ...)
  * File browser integrated
  * Template managing
  * Menus with the most commonly used LaTeX commands
  * Easy projects management

%prep
%setup -q

%build
%cmake -DCOMPILE_SCHEMA:BOOL=OFF
%make

%install
%makeinstall_std -C build
%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc AUTHORS COPYING README NEWS HACKING TODO
%{_mandir}/man1/%{name}.1.*
%{_bindir}/*
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/*/*/*/*
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/glib-2.0/schemas/org.gnome.%{name}.gschema.xml


%changelog

* Mon Feb 06 2012 fwang <fwang> 2.3.1-1.mga2
+ Revision: 205292
- new version 2.3.1

* Sun Nov 27 2011 fwang <fwang> 2.3.0-1.mga2
+ Revision: 172745
- new version 2.3.0

* Sat Oct 08 2011 wally <wally> 2.2.2-1.mga2
+ Revision: 153011
- new version 2.2.2

* Sat Sep 17 2011 ovitters <ovitters> 2.2.1-1.mga2
+ Revision: 144424
- new version 2.2.1
  remove patch, build error was fixed upstream
- fix group
- use pkgconfig for buildrequires
- imported package latexila

